Specific Pool Data by Pool Address
curl --request GET \
--url https://api.coingecko.com/api/v3/onchain/networks/{network}/pools/{address} \
--header 'x-cg-demo-api-key: <api-key>'{
"data": {
"id": "eth_0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640",
"type": "pool",
"attributes": {
"base_token_price_usd": "2087.83402802406",
"base_token_price_native_currency": "1.0",
"base_token_balance": "21389.8183230254",
"base_token_liquidity_usd": "44682614.543365459190858949279370927520536805",
"quote_token_price_usd": "1.00238840383302",
"quote_token_price_native_currency": "0.000480112806762164",
"quote_token_balance": "54351838.715647",
"quote_token_liquidity_usd": "54511610.488634398923096739735612698563218038285229066528",
"base_token_price_quote_token": "2082.843835689",
"quote_token_price_base_token": "0.0004801128068",
"address": "0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640",
"name": "WETH / USDC 0.05%",
"pool_name": "WETH / USDC",
"pool_fee_percentage": "0.05",
"pool_created_at": "2021-12-29T12:35:14Z",
"fdv_usd": "4706830691.85796",
"market_cap_usd": "4714013620.15169",
"price_change_percentage": {
"m5": "0.001",
"m15": "0.339",
"m30": "0.197",
"h1": "0.157",
"h6": "0.651",
"h24": "-1.403"
},
"transactions": {
"m5": {
"buys": 13,
"sells": 10,
"buyers": 11,
"sellers": 9
},
"m15": {
"buys": 34,
"sells": 40,
"buyers": 20,
"sellers": 26
},
"m30": {
"buys": 61,
"sells": 60,
"buyers": 35,
"sellers": 36
},
"h1": {
"buys": 88,
"sells": 119,
"buyers": 52,
"sellers": 75
},
"h6": {
"buys": 473,
"sells": 510,
"buyers": 214,
"sellers": 288
},
"h24": {
"buys": 2443,
"sells": 2402,
"buyers": 876,
"sellers": 998
}
},
"volume_usd": {
"m5": "716095.073293581",
"m15": "4099160.04970219",
"m30": "6269664.41220889",
"h1": "7654944.73813995",
"h6": "22795729.3374518",
"h24": "126052349.380686"
},
"net_buy_volume_usd": {
"m5": "25349.579300599",
"m15": "44021.13947472",
"m30": "785680.21125136",
"h1": "621530.32432932",
"h6": "768429.1331717",
"h24": "-4911114.3005293"
},
"buy_volume_usd": {
"m5": "370722.32629709",
"m15": "2071590.59458845",
"m30": "3527672.31173012",
"h1": "4138237.53123463",
"h6": "11782079.2353117",
"h24": "60570617.5400784"
},
"sell_volume_usd": {
"m5": "345372.746996491",
"m15": "2027569.45511373",
"m30": "2741992.10047876",
"h1": "3516707.20690531",
"h6": "11013650.10214",
"h24": "65481731.8406077"
},
"reserve_in_usd": "99194225.032",
"locked_liquidity_percentage": "0.0"
},
"relationships": {
"base_token": {
"data": {
"id": "eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"type": "token"
}
},
"quote_token": {
"data": {
"id": "eth_0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"type": "token"
}
},
"dex": {
"data": {
"id": "uniswap_v3",
"type": "dex"
}
}
}
},
"included": [
{
"id": "eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"type": "token",
"attributes": {
"address": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"name": "Wrapped Ether",
"symbol": "WETH",
"decimals": 18,
"image_url": "https://coin-images.coingecko.com/coins/images/2518/large/weth.png?1696503332",
"coingecko_coin_id": "weth"
}
},
{
"id": "eth_0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"type": "token",
"attributes": {
"address": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"name": "USD Coin",
"symbol": "USDC",
"decimals": 6,
"image_url": "https://coin-images.coingecko.com/coins/images/6319/large/USDC.png?1769615602",
"coingecko_coin_id": "usd-coin"
}
},
{
"id": "uniswap_v3",
"type": "dex",
"attributes": {
"name": "Uniswap V3"
}
}
]
}Pools
Specific Pool Data by Pool Address
To query the specific pool based on the provided network and pool address
GET
/
onchain
/
networks
/
{network}
/
pools
/
{address}
Specific Pool Data by Pool Address
curl --request GET \
--url https://api.coingecko.com/api/v3/onchain/networks/{network}/pools/{address} \
--header 'x-cg-demo-api-key: <api-key>'{
"data": {
"id": "eth_0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640",
"type": "pool",
"attributes": {
"base_token_price_usd": "2087.83402802406",
"base_token_price_native_currency": "1.0",
"base_token_balance": "21389.8183230254",
"base_token_liquidity_usd": "44682614.543365459190858949279370927520536805",
"quote_token_price_usd": "1.00238840383302",
"quote_token_price_native_currency": "0.000480112806762164",
"quote_token_balance": "54351838.715647",
"quote_token_liquidity_usd": "54511610.488634398923096739735612698563218038285229066528",
"base_token_price_quote_token": "2082.843835689",
"quote_token_price_base_token": "0.0004801128068",
"address": "0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640",
"name": "WETH / USDC 0.05%",
"pool_name": "WETH / USDC",
"pool_fee_percentage": "0.05",
"pool_created_at": "2021-12-29T12:35:14Z",
"fdv_usd": "4706830691.85796",
"market_cap_usd": "4714013620.15169",
"price_change_percentage": {
"m5": "0.001",
"m15": "0.339",
"m30": "0.197",
"h1": "0.157",
"h6": "0.651",
"h24": "-1.403"
},
"transactions": {
"m5": {
"buys": 13,
"sells": 10,
"buyers": 11,
"sellers": 9
},
"m15": {
"buys": 34,
"sells": 40,
"buyers": 20,
"sellers": 26
},
"m30": {
"buys": 61,
"sells": 60,
"buyers": 35,
"sellers": 36
},
"h1": {
"buys": 88,
"sells": 119,
"buyers": 52,
"sellers": 75
},
"h6": {
"buys": 473,
"sells": 510,
"buyers": 214,
"sellers": 288
},
"h24": {
"buys": 2443,
"sells": 2402,
"buyers": 876,
"sellers": 998
}
},
"volume_usd": {
"m5": "716095.073293581",
"m15": "4099160.04970219",
"m30": "6269664.41220889",
"h1": "7654944.73813995",
"h6": "22795729.3374518",
"h24": "126052349.380686"
},
"net_buy_volume_usd": {
"m5": "25349.579300599",
"m15": "44021.13947472",
"m30": "785680.21125136",
"h1": "621530.32432932",
"h6": "768429.1331717",
"h24": "-4911114.3005293"
},
"buy_volume_usd": {
"m5": "370722.32629709",
"m15": "2071590.59458845",
"m30": "3527672.31173012",
"h1": "4138237.53123463",
"h6": "11782079.2353117",
"h24": "60570617.5400784"
},
"sell_volume_usd": {
"m5": "345372.746996491",
"m15": "2027569.45511373",
"m30": "2741992.10047876",
"h1": "3516707.20690531",
"h6": "11013650.10214",
"h24": "65481731.8406077"
},
"reserve_in_usd": "99194225.032",
"locked_liquidity_percentage": "0.0"
},
"relationships": {
"base_token": {
"data": {
"id": "eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"type": "token"
}
},
"quote_token": {
"data": {
"id": "eth_0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"type": "token"
}
},
"dex": {
"data": {
"id": "uniswap_v3",
"type": "dex"
}
}
}
},
"included": [
{
"id": "eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"type": "token",
"attributes": {
"address": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"name": "Wrapped Ether",
"symbol": "WETH",
"decimals": 18,
"image_url": "https://coin-images.coingecko.com/coins/images/2518/large/weth.png?1696503332",
"coingecko_coin_id": "weth"
}
},
{
"id": "eth_0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"type": "token",
"attributes": {
"address": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"name": "USD Coin",
"symbol": "USDC",
"decimals": 6,
"image_url": "https://coin-images.coingecko.com/coins/images/6319/large/USDC.png?1769615602",
"coingecko_coin_id": "usd-coin"
}
},
{
"id": "uniswap_v3",
"type": "dex",
"attributes": {
"name": "Uniswap V3"
}
}
]
}Notes
- Addresses not found in GeckoTerminal will be ignored.
- Unverified token market cap returns
null— the displayed value on GeckoTerminal may match FDV and might not be accurate. Verified market cap is sourced from CoinGecko and may exceed FDV if it includes tokens on other networks. - Use
includeto return related attributes under the top-levelincludedkey. locked_liquidity_percentageis updated daily.- Set
include_composition=trueto surface the balance and liquidity value of base and quote tokens. - Bonding curve pools (e.g. non-graduated launchpad pools) return a
launchpad_detailsobject with graduation status and migration details.
SDK Examples
const response = await client.onchain.networks.pools.getAddress('0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640', {
network: 'eth',
});
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Query Parameters
Attributes to include, comma-separated if more than one.
Available values: base_token, quote_token, dex
Include volume breakdown.
Default: false
Include pool composition.
Default: false
Was this page helpful?
⌘I

